# Mint NFT

URL: <https://fwallet.net/fruits?requestType=nftApi>

Method: POST

Required fields:

* method: This must be "mint".
* amountNQT: This must be "0".
* arg1: The URI of NFT. This is a random number greater than -9223372036854775808, less than 9223372036854775807 and will not be minted successfully if it already matches an existing NFT. For example: "15654862454642". This URI is the link between metadata and NFT in the blockchain. Metadata is stored in a centralized server.
* arg2: The Royalties rate. This rate is paid to the NFT creator. This must be a integer from 0 to 100. For example: A user sells a NFT by 100 FRTS. if Royalties rate is 5%, NFT creator will get 5 FRTS even if he is not a seller.
* contractName: The created smart contract name. For example: "PFT".
* secretPhrase: The passphrase of NFT owner.
* feeNQT: This must be "100000000".
* deadline: Transaction confirmation deadline. Suggested value is 1440.

→You need to wait 2 blocks, NFT will be minted successfully.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/fruits-node-api-for-single-nft/mint-nft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
